Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.document
Interface Editor

All Superinterfaces:
  Document, EditableDocument, Serializable

All Known Implementing Classes:
  Schematic.EditorImpl

    public interface Editor

extends EditableDocument

Nested Class Summary
`static interface` | `Editor.Observer` An interface that can be supplied to the `apply(Changes,Observer)` and `apply(Changes, Observer)` methods to receive notifications of the changes that were applied or undone.

Nested classes/interfaces inherited from interface org.infinispan.schematic.document.Document
`Document.Field, Document.ValueTransformer`

Method Summary
`void` | `apply(Changes changes)` After making changes to another document, apply the same changes to this document.
`void` | `apply(Changes changes, Editor.Observer observer)` After making changes to another document, apply the same changes to this document.
`Changes` | `getChanges()` Get the changes that have been made to this document.

Methods inherited from interface org.infinispan.schematic.document.EditableDocument
`getArray, getDocument, getOrCreateArray, getOrCreateDocument, putAll, putAll, remove, removeAll, set, setArray, setArray, setArray, setBinary, setBoolean, setCode, setCode, setDate, setDate, setDocument, setDocument, setNull, setNumber, setNumber, setNumber, setNumber, setObjectId, setObjectId, setObjectId, setRegularExpression, setRegularExpression, setString, setSymbol, setTimestamp, setUuid, unwrap`

Methods inherited from interface org.infinispan.schematic.document.Document
`clone, containsAll, containsField, fields, get, getBinary, getBoolean, getBoolean, getCode, getCodeWithScope, getDouble, getDouble, getInteger, getInteger, getLong, getLong, getMaxKey, getMinKey, getNumber, getNumber, getObjectId, getPattern, getString, getString, getSymbol, getType, getUuid, getUuid, isEmpty, isNull, isNullOrMissing, keySet, size, toMap, with, with, withVariablesReplaced, withVariablesReplacedWithSystemProperties`

Method Detail

### getChanges

    Changes getChanges()

  Get the changes that have been made to this document.

  Returns:
    the changes; never null

### apply

    void apply(Changes changes)

  After making changes to another document, apply the same changes to this document. This allows a set of changes to be made, serialized, and applied to a different document (that often represents a different instance of the same document).

  Parameters:
    `changes` - the changes that are to be applied to this document; may not be null
  See Also:
    `apply(Changes, Observer)`

### apply

    void apply(Changes changes,
               Editor.Observer observer)

  After making changes to another document, apply the same changes to this document. This allows a set of changes to be made, serialized, and applied to a different document (that often represents a different instance of the same document).

  Parameters:
    `changes` - the changes that are to be applied to this document; may not be null
    `observer` - an observer that will be called as changes are undone; may be null
  See Also:
    `apply(Changes)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.